Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pearsoneduc.ip.op
Class IdentityKernel

    java.lang.Object
      |
      +--java.awt.image.Kernel
            |
            +--com.pearsoneduc.ip.op.StandardKernel
                  |
                  +--com.pearsoneduc.ip.op.IdentityKernel

public class IdentityKernel
extends StandardKernel

A Kernel that has no effect on an image.

Version:
  1.1 [1999/07/29]
Author:
  Nick Efford

Constructor Summary
`IdentityKernel()` Constructs a 3x3 IdentityKernel.
`IdentityKernel(int w, int h)` Constructs an IdentityKernel with the specified dimensions.

Method Summary
`static float[]` | `createKernelData(int w, int h)` Computes coefficients for an IdentityKernel.
`static void` | `main(java.lang.String[] argv)` Creates an IdentityKernel and prints it on standard output.

Methods inherited from class com.pearsoneduc.ip.op.StandardKernel
`createKernel, createKernel, getFractionDigits, setFractionDigits, toString, write`

Methods inherited from class java.awt.image.Kernel
`clone, getHeight, getKernelData, getWidth, getXOrigin, getYOrigin`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IdentityKernel

    public IdentityKernel()

  Constructs a 3x3 IdentityKernel.

### IdentityKernel

    public IdentityKernel(int w,
                          int h)

  Constructs an IdentityKernel with the specified dimensions.
  Parameters:
    `w` - width of kernel
    `h` - height of kernel

Method Detail

### createKernelData

    public static float[] createKernelData(int w,
                                           int h)

  Computes coefficients for an IdentityKernel.
  Parameters:
    `w` - width of kernel
    `h` - height of kernel
  Returns:
    array of kernel coefficients.

### main

    public static void main(java.lang.String[] argv)

  Creates an IdentityKernel and prints it on standard output.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD